Index: lib/matplotlib/toolkits/basemap/basemap.py
===================================================================
--- lib/matplotlib/toolkits/basemap/basemap.py	(revision 2252)
+++ lib/matplotlib/toolkits/basemap/basemap.py	(working copy)
@@ -95,7 +95,8 @@
     def __init__(self,llcrnrlon=-180.,llcrnrlat=-90.,urcrnrlon=180.,urcrnrlat=90.,\
        projection='cyl',resolution='c',area_thresh=None,rsphere=6370997,\
        lat_ts=None,lat_1=None,lat_2=None,lat_0=None,lon_0=None,\
-       lon_1=None,lon_2=None,suppress_ticks=True,boundinglat=None,ax=None):
+       lon_1=None,lon_2=None,suppress_ticks=True,boundinglat=None,ax=None,\
+       load_earth_data=True):
         """
  create a Basemap instance.
 
@@ -441,6 +442,10 @@
                 raise ValueError, "bounday resolution must be one of 'c','l','i' or 'h'"
         # if ax == None, pylab.gca may be used.
         self.ax = ax
+        
+        if not load_earth_data:
+            return
+        
         # read in coastline data (only those polygons whose area > area_thresh).
         coastlons = []; coastlats = []; coastsegind = []; coastsegtype = []
         for line in open(os.path.join(_datadir,'gshhs_'+resolution+'.txt')):
